Module java.desktop
Package javax.swing.plaf.metal

## Class MetalFileChooserUI.DirectoryComboBoxModel

- java.lang.Object
- - javax.swing.AbstractListModel<Object>
  - - javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxModel

All Implemented Interfaces:
  `Serializable`, `ComboBoxModel<Object>`, `ListModel<Object>`

Enclosing class:
  MetalFileChooserUI

    protected class MetalFileChooserUI.DirectoryComboBoxModel
    extends AbstractListModel<Object>
    implements ComboBoxModel<Object>

Data model for a type-face selection combo-box.

See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.swing.AbstractListModel

`listenerList`

### Constructor Summary

Constructors
`DirectoryComboBoxModel()` Constructs an instance of `DirectoryComboBoxModel`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDepth​(int i)` Returns the depth of `i`-th file.

### Methods declared in class javax.swing.AbstractListModel

`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.ComboBoxModel

`getSelectedItem, setSelectedItem`

### Methods declared in interface javax.swing.ListModel

`addListDataListener, getElementAt, getSize, removeListDataListener`

### Constructor Detail

#### DirectoryComboBoxModel

    public DirectoryComboBoxModel()

Constructs an instance of `DirectoryComboBoxModel`.

### Method Detail

#### getDepth

    public int getDepth​(int i)

Returns the depth of `i`-th file.

Parameters:
  `i` - an index
Returns:
  the depth of `i`-th file